> ## Documentation Index
> Fetch the complete documentation index at: https://docs2.zenskar.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create invoice charge

> Create a new charge for a specific invoice



## OpenAPI

````yaml /openAPI/openapi-20240301.json post /payments/invoice/{invoice_id}/charge
openapi: 3.1.0
info:
  title: zenskar
  version: 2.0.0
servers:
  - url: https://api.zenskar.com
security:
  - ApiTokenAuth: []
    OrganisationAuth: []
paths:
  /payments/invoice/{invoice_id}/charge:
    post:
      tags:
        - Payments
      summary: Create invoice charge
      description: Create a new charge for a specific invoice
      operationId: Create-invoice-charge
      parameters:
        - name: invoice_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Invoice Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateInvoiceChargeRequestSchema'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CreateInvoiceChargeRequestSchema:
      properties:
        connector:
          anyOf:
            - $ref: '#/components/schemas/app__payments__schema__Connector'
            - type: 'null'
          description: Connector
        source:
          anyOf:
            - type: string
            - type: 'null'
          title: Source
          description: ''
        payment_method_types:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Payment Method Types
          description: ''
        skip_invoice_due_date_check:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Skip Invoice Due Date Check
          description: ''
      type: object
      title: CreateInvoiceChargeRequestSchema
      description: Create Invoice Charge Request Schema
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    app__payments__schema__Connector:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
          description: Connector Name
        reference_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Reference Id
          description: External Connector customer Refrence id
      type: object
      title: Connector
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    ApiTokenAuth:
      type: apiKey
      in: header
      name: x-api-key
      x-default: <your-api-key>
    OrganisationAuth:
      type: apiKey
      in: header
      name: organisation
      x-default: <your-organisation-id>

````